Subject: Re: bug#79348: 30.2; Left and right mouse buttons do not work in Emacs 30 on Windows 10

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Aug 2025 20:30:43 +0300

> From: Alex <[email-masked]>
> Date: Sat, 30 Aug 2025 13:19:59 +0300
> 
> I tried Emacs 30.1 and 30.2 on Windows 10 (1909) but clicking the left and right mouse buttons has no
> effect in buffers and on the Toolbar whereas with the menu bar it works just fine. I tried to run Emacs with -Q
> flag and to switch xterm-mouse-mode, but it does not resolve the problem. In Emacs 29.3 I have no such
> problems. 

I cannot reproduce this.  If you type "C-h c" and then click left
mouse button on the left-most icon on the tool bar, what does Emacs
say in the echo-area?  Please do that in "emacs -Q".

Also, please tell what kind of mouse do you have.  Is that perhaps a
touchpad of a laptop, not a real mouse?